/*  This file is a part of Puzzles, a MIDLET for playing puzzles.
    Copyright (C) 2004, Kostas Giannakakis

    Puzzles is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Puzzles is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Puzzles; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package games;

import javax.microedition.lcdui.*;

public class About {

    /** Copyright notice */
    private static final String copyright =
	"Copyright (c) 2005 Kostas Giannakakis\n";

    /** the previous screen to go back to */
    private Displayable previous;

    /**
     * Do not allow anyone to create this class
     */
    private About() {};

    /**
     * Put up the About box and when the user click ok return
     * to the previous screen.
     * @param display The <code>Display</code> to return to when the
     *                 about screen is dismissed.
     */
    public static void showAbout(Display display) {

	Alert alert = new Alert("Puzzles");
	alert.setTimeout(Alert.FOREVER);

	// Add the copyright
	alert.setString(copyright);

	display.setCurrent(alert);
    }

}
